Debian Bug report logs - #728942
ITP: libclass-std-storable-perl -- Support for creating serializable "inside-out" classes

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: KURASHIKI Satoru <lurdan@gmail.com>

Date: Thu, 7 Nov 2013 02:57:02 UTC

Owned by: KURASHIKI Satoru <lurdan@gmail.com>

Severity: wishlist

Fixed in version libclass-std-storable-perl/0.0.1-1

Done: KURASHIKI Satoru <lurdan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lurdan@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#728942; Package wnpp. (Thu, 07 Nov 2013 02:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to KURASHIKI Satoru <lurdan@gmail.com>:
New Bug report received and forwarded. Copy sent to lurdan@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 07 Nov 2013 02:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: KURASHIKI Satoru <lurdan@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libclass-std-storable-perl -- Support for creating serializable "inside-out" classes
Date: Thu, 07 Nov 2013 11:53:15 +0900
Package: wnpp
Severity: wishlist
Owner: KURASHIKI Satoru <lurdan@gmail.com>

* Package name    : libclass-std-storable-perl
  Version         : 0.0.1
  Upstream Author : Luke Meyer <luke@daeron.com>
* URL             : https://metacpan.org/pod/Class::Std::Storable
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : Support for creating serializable "inside-out" classes

Class::Std introduced the "inside-out" model for classes (perldoc Class::Std
for details). Among its salient features is complete encapsulation; that is,
an object's data may only be accessed via its methods, unlike the usual
hashref model that permits direct access by any code whatsoever.
However, the drawback of complete encapsulation is that normal mechanisms
for serialization won't work, as they rely on direct access to an object's
attributes.

This class provides the class-building functionality from Class::Std, and
in addition provides an interface to allow Storable to freeze and thaw any
declared attributes of this class and any superclasses that were built via
Class::Std::Storable.



Added blocking bug(s) of 728942: 728973 Request was from KURASHIKI Satoru <lurdan@gmail.com> to submit@bugs.debian.org. (Thu, 07 Nov 2013 11:51:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 07 Nov 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to KURASHIKI Satoru <lurdan@gmail.com>:
You have taken responsibility. (Sun, 24 Nov 2013 11:03:10 GMT) Full text and rfc822 format available.

Notification sent to KURASHIKI Satoru <lurdan@gmail.com>:
Bug acknowledged by developer. (Sun, 24 Nov 2013 11:03:11 GMT) Full text and rfc822 format available.

Message #14 received at 728942-close@bugs.debian.org (full text, mbox):

From: KURASHIKI Satoru <lurdan@gmail.com>
To: 728942-close@bugs.debian.org
Subject: Bug#728942: fixed in libclass-std-storable-perl 0.0.1-1
Date: Sun, 24 Nov 2013 11:00:06 +0000
Source: libclass-std-storable-perl
Source-Version: 0.0.1-1

We believe that the bug you reported is fixed in the latest version of
libclass-std-storable-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728942@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
KURASHIKI Satoru <lurdan@gmail.com> (supplier of updated libclass-std-storable-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 6 Nov 2013 11:03:36 +0900
Source: libclass-std-storable-perl
Binary: libclass-std-storable-perl
Architecture: source all
Version: 0.0.1-1
Distribution: unstable
Urgency: low
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Changed-By: KURASHIKI Satoru <lurdan@gmail.com>
Description: 
 libclass-std-storable-perl - Support for creating serializable "inside-out" classes
Closes: 728942
Changes: 
 libclass-std-storable-perl (0.0.1-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #728942)
Checksums-Sha1: 
 0072f3fbabaf570da172263f68996d8956e57d72 1940 libclass-std-storable-perl_0.0.1-1.dsc
 6ad2e7e393b6ebba4209da0bc95a9e41907c32cd 8313 libclass-std-storable-perl_0.0.1.orig.tar.gz
 7fd6cade7bc2d4aa679d43089b230c377cd7e03e 1839 libclass-std-storable-perl_0.0.1-1.debian.tar.gz
 0b3f09f74fc744420db52d5116deeaf79675e4fb 14294 libclass-std-storable-perl_0.0.1-1_all.deb
Checksums-Sha256: 
 f709221fe27d70f13e3a8f405ebab4a2da0f133ee2fd9ac5b659796237dd6609 1940 libclass-std-storable-perl_0.0.1-1.dsc
 5d9210772248a1d5a6339a2b31ca0fb90d981b5e29538988a03b363568f442c7 8313 libclass-std-storable-perl_0.0.1.orig.tar.gz
 77be515a791907829daf7dabdb523656b88336a38cae1376b4eb3c4c84498d62 1839 libclass-std-storable-perl_0.0.1-1.debian.tar.gz
 845687baa34f04794c833f75cf77dc6b986d39ed8768839a69a26577a727528c 14294 libclass-std-storable-perl_0.0.1-1_all.deb
Files: 
 7ad705e53685f3b7171c3e4c474390d6 1940 perl optional libclass-std-storable-perl_0.0.1-1.dsc
 c72c836b197355ffa07e01bdb34ce08f 8313 perl optional libclass-std-storable-perl_0.0.1.orig.tar.gz
 78d2144812a98e07c7795742ebb196de 1839 perl optional libclass-std-storable-perl_0.0.1-1.debian.tar.gz
 6c71a5fcbff1d137ee6be0ead3f94d6c 14294 perl optional libclass-std-storable-perl_0.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSe5ruAAoJEHg5YZ3UOWaOUhUP/jGsuG+F+ZT0i2Pa2SqipfwS
v0i6I5qiC+S7oc+FKlehCfYA1s0SMidJOpsnQFSsWvW+WfdNyiTY/lXJ1tUAsr3M
5hcKBmlLAzcisiCPyz1MpdTh4p3ghrN6Gh5bgt64xJWy706/22nxhXA96Km5dG7Q
DxaShExJqPhUAnHccx6TwZ3H5dE1DVFaymkVnW711Xgp5reIS900h6+BUGbpDmTK
CHAJHhpCcs1bAPrypZTXkd42A4Nwp0Yc+SLHLI5sAPpWGD08BB0lbXkcsTMpQXmX
2vpB4btiQmHPwk/bydPJ6dWByKSpEcmvTfQBRN6KYVe8pRf5ka6s1+QhJ4+u/JRJ
XDiLc1/F4x7Xykawn3Ge3VKNQOpPil1522gGTWqxoMrpHXyTLMPLdNlmHF7rovdd
dR67JcQAtYYNzQ0iz+QQUNavxK1rTeSSq+axQEftevqczckQvipRa9AXNADvj1dt
GihwIxORKbbLw6euQQPZBcyRa7cKrWqAPenPU/ZWvvWNPx5/9oeazqkJxgXTE0cr
esSlC2IpqcAW+Cw+g84Ge/VZ+y/JrOWqVpVrNecmnCSEVyvl/05lZuyejDa/Djej
dJMmVswunEGIemVfC9RWeK5IVeoPLo/VpnQuueLzsQes4ouWutSypxOs+CEKou4Z
CgQqLXNqBp/0JpvLwWnS
=e9io
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Dec 2013 07:35:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:02:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.